import {  handlebars, getTemplate } from "@opengis/fastify-table/utils.js";

export default async function insertColumns(req,reply) {
  const { params} = req;
  const { id } = params;

  const pt = await getTemplate('templates','ISO19136_2017_gml_template');
  const data = await handlebars.compile(pt)({ id: id });

  return reply
    .header('Content-Type', 'text/xml; charset=utf-8')
    .send(data);
}
